## songrec 0.4.2

=== debian/changelog ===
songrec (0.4.2-1.0antix2) unstable; urgency=low

  * Add pt_BR translations

 -- abc-nix  Tue, 04 Jun 2024 09:28:17 +0200

songrec (0.4.2-1.0antix1) unstable; urgency=low

  * Build for antiX

 -- abc-nix  Mon, 03 Jun 2024 06:27:08 +0200

songrec (0.4.2) bionic; urgency=low

  * Add a Catalan translation (thanks to @pgiuli in issue #23)
  * Make the UI more clear so that it is visible that we are toggling the recognition from the speakers rather than the microphone when the monitor mode is on (see issue #149)
  * Fix a bug that had certain strings to be mistakenly copied at the bad places in the internationalized versions of the application, due to the fuzzy mode of msgmerge/gettext
  * Update the Dutch translation (thanks to @Vistaus in PR #150)
  * Update compilation instructions in the README.md file
  * Allow to compile the app with the libpulse and MPRIS module enabled on non-Linux UNIX systems such as BSD (see issue #152)
  * Possibly improve the compatibility of the recognize-from-speakers feature

 -- Marin <marin-m@users.noreply.github.com>  Mon, 22 Jan 2024 13:52:00 +0100

songrec (0.4.1) bionic; urgency=low

  * Add a Korean translation (thanks to @MarongHappy in PR #146)
  * Re-integrate MPRIS compatibility code in the default builds, with an opt-in GUI option
  * Add a simple preference window and an about dialog

 -- Marin <marin-m@users.noreply.github.com>  Sun, 14 Jan 2024 14:32:00 +0100

songrec (0.4.0+2) bionic; urgency=low

  * Fix the `libpulse` dependency into `libpulse0` in the Debian package specification.

 -- Marin <marin-m@users.noreply.github.com>  Sun, 24 Dec 2023 18:21:00 +0100

songrec (0.4.0+1) bionic; urgency=low

  * Add the missing `libpulse` dependency in the Debian package specificaiton.

 -- Marin <marin-m@users.noreply.github.com>  Sun, 24 Dec 2023 09:30:00 +0100

songrec (0.4.0) bionic; urgency=low

  * Use `libpulse` (when available) for displaying the list of selectable audio input devices by default, instead of `alsalib` for listing audio inputs and `pactl` for switching to a monitor mode device, so that the list of devices displays correct values on PipeWire/PulseAudio-based systems.
  * Make the dependencies over `libpulse` and DBus MPRIS fully optional, through Cargo features.
  * Disable MPRIS signalling in default builds, as it may interfer inopportunely with media keys control from other media players (as submitted in issue #89)
  * Fix build issues on non-Linux platforms (thanks to pull request #144 from @dotX12)

 -- Marin <marin-m@users.noreply.github.com>  Sun, 24 Dec 2023 08:24:00 +0100

songrec (0.3.3) bionic; urgency=low

  * Add a Favourite songs list in the interface (thanks to pull request #123 from @damonhayhurst)
  * Add a Spanish UI translation (as submitted by @Swyter in issue #23)
  * Add a German UI translation (as submitted in issue #23)
  * Update the Italian UI translation (thanks to pull request #133 from @M0Rf30)

 -- Marin <marin-m@users.noreply.github.com>  Sun, 15 Oct 2023 14:41:23 +0200

songrec (0.3.2+4) bionic; urgency=low

  * Additionally build the package for the any architecture supported by recent Ubuntu releases (try to build for all supported architectures on Launchpad PPA).

 -- Marin <marin-m@users.noreply.github.com>  Wed, 7 Sep 2022 15:15:00 +0200

songrec (0.3.2+3) bionic; urgency=low

  * Additionally build the package for the any architecture supported by recent Ubuntu releases.

 -- Marin <marin-m@users.noreply.github.com>  Wed, 7 Sep 2022 13:18:00 +0200

songrec (0.3.2+2) bionic; urgency=low

  * Additionally build the package for the AMD64/AArch64 architecture.

 -- Marin <marin-m@users.noreply.github.com>  Wed, 7 Sep 2022 09:22:00 +0200

songrec (0.3.2+1) bionic; urgency=low

  * Accept depending of the `libssl3` package instead of `libssl1.1`, in order to ensure packaging compatibility with Ubuntu 22.04 LTS and above.

 -- Marin <marin-m@users.noreply.github.com>  Fri, 1 Jul 2022 19:57:00 +0200

songrec (0.3.2) bionic; urgency=low

  * Add a checkbox into the graphical interface in order to disable or enable system notifications whenever recognizing a song (thanks to @damonhayhurst).
  * Fix the bug that previously caused the Firefox user interface menus to blink on Linux after the "Search on YouTube" feature has been used (thanks to @ducaton).
  * Update the French translation.
  * Add safety checks in order to prevent potential crashes when handling corrupt configuration files or invalid audio devices.
  * Change the path of the files saving user interface-related preferences in order to update a deprecated Rust crate (this may create a symbolic link from `~/.local/share/songrec` towards an preexisting `~/.local/share/SongRec` directory under Linux).

 -- Marin <marin-m@users.noreply.github.com>  Tue, 26 May 2022 12:17:00 +0200

songrec (0.3.1) bionic; urgency=low

  * Fix the behavior of the new `recognize` command, when recognizing from a file.
  * Add album artwork, if it exists, to the desktop notification when a song is recognized (thanks to @damonhayhurst).
  * Update the Dutch translation (thanks to @Vistaus).

 -- Marin <marin-m@users.noreply.github.com>  Fri, 22 Apr 2022 09:02:00 +0200

songrec (0.3.0) bionic; urgency=low

  * Introduce a new command-line interface allowing to use microphone recognition from the command line, with the `recognize` and `listen` commands (thanks to @Hummer12007), keeping older command backwards compatibility.
  * Update the CSV export format in order to introduce new "`track_key`", "`release_year`" and "`genre`" columns (thanks to @tyd), where `track_key` is an identifier internal to the Shazam database.
  * Allow exposing song metadata through the standard DBus MPRIS interface (thanks to @Hummer12007).
  * Improve source code structure in order to split the dual CLI/GUI parts from the core thread communication and fingerprinting parts and from other platform-dependant utility code.

