=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_build:
	cargo --offline fetch --verbose
	
	cargo --offline build --release --verbose

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/songrec
	cp -ra $(CURDIR)/packaging/rootfs/usr $(CURDIR)/debian/songrec/
	
	mkdir -p $(CURDIR)/debian/songrec/usr/share/songrec
	cp -ra $(CURDIR)/translations $(CURDIR)/debian/songrec/usr/share/songrec/
	
	mkdir -p $(CURDIR)/debian/songrec/usr/bin
	cp -ra $(CURDIR)/target/release/songrec $(CURDIR)/debian/songrec/usr/bin/
	
	cp -ra debian/contrib/pt_BR $(CURDIR)/debian/songrec/usr/share/songrec/translations/
	cp -f debian/contrib/com.github.marinm.songrec.desktop $(CURDIR)/debian/songrec/usr/share/applications/
